Resolution: Fixed   

Description

On www.redmine.org if you go to the activity tab the messages option is unselected by default.  If you select it and hit reply then you

can see recent activity in the forums.  When you navigate away from activity tab and then go back the messages option is again

unselected and you have to reapply to see that activity.  It would be nice if it would remember your selection, if the admin could

choose to have it selected by default or both.

If what I am seeing is not expected behaviour, then this is a bug and I am on firefox 3.0 on Kubuntu.

Thanks.

Related issues:

Related to Redmine - Feature #8680: Select all modules for search and activities New 2011-06-24

Related to Redmine - Patch #13666: wiki edits, wiki comments and messages tur... Closed

Related to Redmine - Feature #938: Add default Activity value per user New 2008-03-27

Related to Redmine - Feature #1295: Option to show wiki pages under activity ... Closed 2008-05-24

Has duplicate Redmine - Feature #2729: Memorize activity events selection Closed 2009-02-12

Has duplicate Redmine - Feature #5750: Configurable activity list defaults Closed 2010-06-24

Has duplicate Redmine - Feature #6824: Make it possible to choose default fil... Closed 2010-11-04

Has duplicate Redmine - Feature #7548: Option to remember Activities set to s... Closed 2011-02-04

Has duplicate Redmine - Feature #8439: Default Settings on Activity Tab Closed 2011-05-25

Has duplicate Redmine - Feature #3189: Activity Tab Filter Save Closed 2009-04-16

Associated revisions

Revision 14678 - 2015-10-15 21:06 - Jean-Philippe Lang

Activity page to remember user's selection of activities (#1605).

History

#1 - 2010-01-13 17:12 - Jonathan Schneider

I too would really appreciate this one fixed. In my case it's Wiki edits I'd like to be able to see by default.

It doesn't appear to be browser-specific. Same behaviour in Safari and Camino on a Mac and Chrome on windows.

Jon

#2 - 2010-04-04 23:55 - Anonymous

+1

Same for the check-boxes on the Roadmap page as well :)

#3 - 2010-04-05 23:52 - minkbear minkbear

+1

agree this feature

#4 - 2011-03-04 09:00 - C Com

+1
for a global setting of which boxes are checked by default (maybe even project-specific setting)

#5 - 2011-03-05 14:02 - Etienne Massip

- Category set to Projects

#6 - 2011-03-05 14:03 - Etienne Massip

- Category changed from Projects to UI

#7 - 2011-11-11 04:26 - Matt N

+1

#8 - 2012-04-19 21:11 - Leonardo Sena

+1

#9 - 2012-04-19 22:20 - Cassiano Monteiro

+1!

#10 - 2015-10-05 03:14 - Go MAEDA

- Has duplicate Feature #2729: Memorize activity events selection added

#11 - 2015-10-05 03:16 - Go MAEDA

- Has duplicate Feature #5750: Configurable activity list defaults added

#12 - 2015-10-05 03:18 - Go MAEDA

- Has duplicate Feature #6824: Make it possible to choose default filters on activity page added

#13 - 2015-10-05 03:20 - Go MAEDA

- Has duplicate Feature #7548: Option to remember Activities set to show on activity view added

#14 - 2015-10-05 03:23 - Go MAEDA

- Has duplicate Feature #8439: Default Settings on Activity Tab added

#15 - 2015-10-05 03:24 - Go MAEDA

- Related to Feature #8680: Select all modules for search and activities added

#16 - 2015-10-05 03:25 - Go MAEDA

- Related to Patch #13666: wiki edits, wiki comments and messages turned on by default on activity page added

#17 - 2015-10-05 03:36 - Go MAEDA

- Related to Feature #938: Add default Activity value per user added

#18 - 2015-10-05 03:37 - Go MAEDA

- Related to Feature #1295: Option to show wiki pages under activity by default added

#19 - 2015-10-06 02:18 - Go MAEDA

I have wrote a patch to make Activity tab remember the selection of activity events even if the user logged out.

#20 - 2015-10-06 02:19 - Go MAEDA

- File activity-store-user-selection.diff added

This is the patch: activity-store-user-selection.diff

#21 - 2015-10-06 05:24 - Go MAEDA

- File activity-store-user-selection-v2.diff added

Code improvement. Added property methods for "activity_scope" to UserPreference model.
#22 - 2015-10-07 07:51 - Go MAEDA

- Target version set to 3.2.0

This is a long awaited feature by many users (please see "Related issues").

I think it would be better to include in 3.2.0.

#23 - 2015-10-15 21:08 - Jean-Philippe Lang

- Category changed from UI to Activity view

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Feature added in r14678. I've made a few changes to the patch so that the preference gets updated only when the user changes the scope by hitting

the Apply bouton. And tests added.

#24 - 2015-10-31 04:47 - Toshi MARUYAMA

- Has duplicate Feature #3189: Activity Tab Filter Save added

Files

activity-store-user-selection.diff 1.05 KB 2015-10-06 Go MAEDA

activity-store-user-selection-v2.diff 1.55 KB 2015-10-06 Go MAEDA
